## queue-async 1.0.7

=== Makefile ===
all: \
	queue.min.js \
	component.json \
	package.json

component.json: src/component.js queue.js
	@rm -f $@
	node src/component.js > $@
	@chmod a-w $@

package.json: src/package.js queue.js
	@rm -f $@
	node src/package.js > $@
	@chmod a-w $@

test: all
	node_modules/.bin/vows
	@echo

%.min.js: %.js Makefile
	@rm -f $@
	node_modules/.bin/uglifyjs $< -c -m -o $@

clean:
	rm -f queue.min.js component.json package.json

## queue-async 1.0.4

=== debian/changelog ===
queue-async (1.0.4-1) unstable; urgency=low

  * Initial release (closes: #706360).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Apr 2013 22:11:34 +0200

=== debian/control ===
Source: queue-async
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), node-uglify, node-vows
Standards-Version: 3.9.4
Homepage: https://github.com/mbostock/queue

Package: libjs-queue-async
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common, libjs-jquery
Description: asynchronous helper library for JavaScript
 Yet another asynchronous helper library for JavaScript. Think of it as a
 minimalist version of Async.js that allows fine-tuning over parallelism. Or,
 think of it as a version of TameJs that does not use code generation.

Package: node-queue-async
Architecture: all
Depends: ${misc:Depends}, nodejs
Description: asynchronous helper library for JavaScript - NodeJS
 Yet another asynchronous helper library for JavaScript. Think of it as a
 minimalist version of Async.js that allows fine-tuning over parallelism. Or,
 think of it as a version of TameJs that does not use code generation.
 .
 This package contains the NodeJS module.

## queue-async 1.0.7

=== debian/changelog ===
queue-async (1.0.7-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 28 Jan 2014 21:17:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), node-uglify, node-vows
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/mbostock/queue
 
 Package: libjs-queue-async

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGDIR = $(CURDIR)/debian/node-queue-async
JSPKGDIR = $(CURDIR)/debian/libjs-queue-async

override_dh_install:
	install -d $(PKGDIR)/usr/lib/nodejs/
	install -m0644 $(CURDIR)/queue.js \
		$(PKGDIR)/usr/lib/nodejs/queue-async.js
	install -d $(JSPKGDIR)/usr/share/javascript/queue-async/
	install -m0644 $(CURDIR)/queue.js \
		$(JSPKGDIR)/usr/share/javascript/queue-async/queue-async.js
	install -m0644 $(CURDIR)/queue.min.js \
		$(JSPKGDIR)/usr/share/javascript/queue-async/queue-async.min.js

%:
	dh $@

.PHONY: override_dh_install

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/mbostock/queue/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
